<?xml version="1.0" encoding="UTF-8"?>
<ValidationRule xmlns="http://soap.sforce.com/2006/04/metadata">
    <fullName>State_for_US</fullName>
    <active>false</active>
    <errorConditionFormula>AND ( 
OR( Country  = &quot;US&quot;, Country=&quot;USA&quot;, LEN(Country)=0), 
OR( 
LEN(State) &lt; 2, 
NOT( 
CONTAINS(&quot;AL:AK:AZ:AR:CA:CO:CT:DE:DC:FL:GA:HI:ID:&quot; &amp; 
&quot;IL:IN:IA:KS:KY:LA:ME:MD:MA:MI:MN:MS:MO:MT:NE:NV:NH:&quot; &amp; 
&quot;NJ:NM:NY:NC:ND:OH:OK:OR:PA:PR:RI:SC:SD:TN:TX:UT:VT:VA:&quot; &amp; 
&quot;WA:WV:WI:WY:VI&quot;, State)
)),NOT( OR(ISPICKVAL(LeadSource,&quot;Call Center Web&quot;),ISPICKVAL(LeadSource,&quot;Customer Web&quot;),ISPICKVAL(LeadSource,&quot;Marketing Upload&quot;),ISPICKVAL(LeadSource,&quot;Public - Private Website&quot;),ISPICKVAL(LeadSource,&quot;Landing Page P/P&quot;),ISPICKVAL(LeadSource,&quot;Online&quot; ))))</errorConditionFormula>
    <errorDisplayField>State</errorDisplayField>
    <errorMessage>[LEAD 032] A valid two-letter state code is required.  CAPITALS LETTERS ONLY!</errorMessage>
</ValidationRule>
